AFPEventProducer (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp

## Interface AFPEventProducer

- All Superinterfaces:
    EventProducer

      public interface AFPEventProducer
      extends EventProducer

  Event producer interface for AFP-specific events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AFPEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characterSetEncodingError(Object source, String charSetName, String encoding)` A character set encoding error occurred.
    `void` | `charactersetMissingMetrics(Object source, char character, String charSet)` The characterset is missing metric information for the specified character
    `void` | `characterSetNameInvalid(Object source, String msg)` The character set given has an invalid name.
    `void` | `codePageNotFound(Object source, Exception e)` The code page for an AFP font could not be found.
    `void` | `fontConfigMissing(Object source, String missingConfig, String location)` A mandatory font configuration node is missing at location.
    `void` | `invalidConfiguration(Object source, Exception e)` This is a generic event for invalid configuration errors.
    `void` | `invalidDBFontInSVG(Object source, String fontFamily)` Double-byte fonts are not currently supported in SVG.
    `void` | `resourceEmbeddingError(Object source, String resourceName, Exception e)` Triggered when an external resource fails to be embedded.
    `void` | `warnDefaultFontSetup(Object source)` Warn about using default font setup.
    `void` | `warnMissingDefaultFont(Object source, String style, int weight)` Warn about a missing default "any" font configuration.

- - ### Method Detail

    - #### warnDefaultFontSetup

          void warnDefaultFontSetup(Object source)

      Warn about using default font setup.
      Parameters:
        `source` - the event source
      Event.severity:
        WARN

    - #### warnMissingDefaultFont

          void warnMissingDefaultFont(Object source,
                                      String style,
                                      int weight)

      Warn about a missing default "any" font configuration.
      Parameters:
        `source` - the event source
        `style` - the font style
        `weight` - the font weight
      Event.severity:
        WARN

    - #### characterSetEncodingError

          void characterSetEncodingError(Object source,
                                         String charSetName,
                                         String encoding)

      A character set encoding error occurred.
      Parameters:
        `source` - the event source
        `charSetName` - the character set name
        `encoding` - the encoding
      Event.severity:
        ERROR

    - #### resourceEmbeddingError

          void resourceEmbeddingError(Object source,
                                      String resourceName,
                                      Exception e)

      Triggered when an external resource fails to be embedded.
      Parameters:
        `source` - the event source
        `resourceName` - the name of the resource where the error occurred
        `e` - the original exception
      Event.severity:
        ERROR

    - #### fontConfigMissing

          void fontConfigMissing(Object source,
                                 String missingConfig,
                                 String location)

      A mandatory font configuration node is missing at location.
      Parameters:
        `source` - the event source
        `missingConfig` - the expected configuration element
        `location` - the position of the missing element within the config file.
      Event.severity:
        ERROR

    - #### characterSetNameInvalid

          void characterSetNameInvalid(Object source,
                                       String msg)

      The character set given has an invalid name.
      Parameters:
        `source` - the event source
        `msg` - the error message
      Event.severity:
        ERROR

    - #### codePageNotFound

          void codePageNotFound(Object source,
                                Exception e)

      The code page for an AFP font could not be found.
      Parameters:
        `source` - the event source
        `e` - the original exception
      Event.severity:
        ERROR

    - #### invalidConfiguration

          void invalidConfiguration(Object source,
                                    Exception e)

      This is a generic event for invalid configuration errors.
      Parameters:
        `source` - the event source
        `e` - the original exception
      Event.severity:
        ERROR

    - #### charactersetMissingMetrics

          void charactersetMissingMetrics(Object source,
                                          char character,
                                          String charSet)

      The characterset is missing metric information for the specified character
      Parameters:
        `source` - the event source
        `character` - the character with missing metric information.
        `charSet` - the character set containing missing metric information
      Event.severity:
        WARN

    - #### invalidDBFontInSVG

          void invalidDBFontInSVG(Object source,
                                  String fontFamily)

      Double-byte fonts are not currently supported in SVG.
      Parameters:
        `source` - the event source
        `fontFamily` - name of DB font
      Event.severity:
        WARN

Copyright © 2025 Apache Software Foundation. All rights reserved.